Bug 436595 - 2.6.24.3 hard system hang during bluetooth association
2.6.24.3 hard system hang during bluetooth association
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 02:22 EST by Stephen Warren
Modified: 2008-09-05 01:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 01:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2008-03-08 02:22:10 EST
Description of problem:
I just got a phone with bluetooth and was experimenting trying to get bitpim
working with it. Under 2.6.23.15-137, I could pair my laptop and the phone
(although that's about as far as I could get). Under 2.6.24.3-12, once I've
completed the pairing process, a notification pops up on the laptop about
"creating binding" or someting like that. At this point, the capslock and
scroll-lock LEDs on my keyboard start flasing about once a second, and the
system is locked up hard.

This is a Dell Inspiron 9300 laptop with built-in Bluetooth adapter, and a
Verizon LG VX8350 phone.

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.fc8.i686

How reproducible:
Tried twice, happened twice.

Steps to Reproduce:
1. Enable laptop to be visible over bluetooth
2. On phone, search for devices to pair with, see laptop, and select it.
3. Enter PIN on phone
4. Respond to notification on laptop about pairing request. Type PIN there
5. Pairing process is basically done. After a very short time, the laptop hangs
hard.
  
Actual results:
System hangs.

Expected results:
System doesn't hang

Additional info:
N/A
Comment 1 Stephen Warren 2008-03-18 00:34:36 EDT
kernel-2.6.24.3-34.fc8.i686 doesn't fix this.
Comment 2 Stephen Warren 2008-09-05 01:13:02 EDT
Closing; this issue is no longer present in kernel-2.6.25.14-108.fc9.i686.

Note You need to log in before you can comment on or make changes to this bug.